Page MenuHomePhabricator

efl/gesture: add 'pressed' state info for touch data
ClosedPublic

Authored by zmike on Jan 23 2020, 12:26 PM.

Details

Summary

since we retain touch info for the duration of a touch sequence, including
after a touch point has been unpressed, it's necessary to track the current
state of each point and then use that to accurately determine the number of
touches active

Depends on D11167

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 23 2020, 12:26 PM
CHAN accepted this revision.Jan 28 2020, 3:34 AM

Looks good to me.

This revision is now accepted and ready to land.Jan 28 2020, 3:34 AM
zmike updated this revision to Diff 28673.Jan 29 2020, 11:21 AM
zmike edited the summary of this revision. (Show Details)

rebase/rework

Closed by commit rEFLbf0fe4a80069: efl/gesture: add 'pressed' state info for touch data (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:17 AM
This revision was automatically updated to reflect the committed changes.